[ Maverik Level 1 functions ]

#

mav_matrixRPYSet

## Summary

Set the rotation terms of a matrix.

## Syntax

MAV_matrix mav_matrixRPYSet(MAV_matrix m, float roll, float pitch, float yaw);

- MAV_matrix m
  Matrix to set.

- float roll
  Rotation in degrees about Z-axis.

- float pitch
  Rotation in degrees about X-axis.

- float yaw
  Rotation in degrees about Y-axis.

## Description

This function sets the rotation elements of matrix `m`, as specified by `roll`, `pitch` and `yaw`. All other elements in matrix `m` are left unchanged, and the modified matrix is returned.

Back to the index page.